--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: Specifies the timezone for the event
  name: tzid
  rw: RW
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: A Event calendar component is a grouping of component properties, and possibly including Alarm calendar components, that represents a scheduled amount of time on a calendar. For example, it can be an activity; such as a one-hour long, department meeting from 8:00 AM to 9:00 AM, tomorrow. Generally, an event will take up time on an individual calendar.
constants: []

full_name: Icalendar::Event
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: alarm
- !ruby/object:RI::MethodSummary 
  name: occurrences_starting
name: Event
superclass: Component
